# Scheduled Tasks with Cron
# https://developers.google.com/appengine/docs/python/config/cron

cron:

- description: Start and restart bisect jobs.
  url: /auto_bisect
  schedule: every 1 hours

- description: Mark alerts as recovered, and associate alerts with groups.
  url: /auto_triage
  schedule: every 6 hours

- description: Send e-mails with daily anomaly summaries.
  url: /email_summary
  schedule: every 24 hours

- description: Send data stoppage alert emails.
  url: /send_stoppage_alert_emails
  schedule: every 24 hours

- description: Run the mapreduce job to mark tests as deprecated.
  url: /mr_deprecate_tests
  # If you update the time below, also update the constant in mr.py.
  schedule: every 48 hours

- description: Update bugs with completed bisect job results.
  url: /update_bug_with_results
  schedule: every 15 minutes

- description: Delete expired layered_cache.CachedPickledString entities.
  url: /delete_expired_entities
  schedule: every 24 hours

- description: Update the internal-only test suite data used on the /report page.
  url: /update_test_suites?internal_only=true
  schedule: every 20 minutes

- description: Update the externally-visible test suite data used on the /report page.
  url: /update_test_suites
  schedule: every 20 minutes

- description: Triggers bisect FYI jobs.
  url: /bisect_fyi
  schedule: every 24 hours

# The backup cron job is disabled temporarily in order to check whether
# it is responsible for increased cost on the weekends.
# See: https://github.com/catapult-project/catapult/issues/1944
#
# Scheduled backup.
# If you add new datastore kinds and want them to be backed up,
# you must add kind=argument to the URL below. Backups are available at:
# https://console.developers.google.com/datastore/settings?project=chromeperf
# See: https://cloud.google.com/appengine/articles/scheduled_backups
#- description: Back up all entities in the datastore.
#  url: "/_ah/datastore_admin/backup.create?name=ScheduledBackup\
#&kind=Master\
#&kind=Bot\
#&kind=Test\
#&kind=Row\
#&kind=Sheriff\
#&kind=AnomalyConfig\
#&kind=Anomaly\
#&kind=StoppageAlert\
#&kind=IpWhitelist\
#&kind=BotWhitelist\
#&kind=BugLabelPatterns\
#&kind=MultipartEntity\
#&kind=PartEntity\
#&filesystem=gs\
#&gs_bucket_name=chromeperf.appspot.com"
#  schedule: every saturday 05:00
#  target: ah-builtin-python-bundle
